program test;

{$mode objfpc}{$H+}

uses
  fpspreadsheet, xlsbiff8, sysutils;

var
  VDir: string;
  VFormula: TsFormula;
  VWorkbook: TsWorkbook;
  VWorksheet: TsWorksheet;
begin
  VWorkbook := TsWorkbook.Create;
  VWorksheet := VWorkbook.AddWorksheet('Worksheet');
  try
    VDir := '';
    VFormula.FormulaStr := '=SUM(A1:B1)';
    VFormula.DoubleValue := 0.0;
    VWorksheet.WriteFormula(1, 2, VFormula);
    VWorkbook.WriteToFile(VDir + 'test' + STR_EXCEL_EXTENSION, True);
  finally
    VWorkbook.Free;
  end;
end.
